Page MenuHomePhabricator

elementary: reduce event trigger during object creation stage in Efl.Ui.CollectionView.
ClosedPublic

Authored by cedric on Nov 15 2019, 11:26 AM.

Details

Summary

Once the object are created, the CollectionView will do a few modifiction on them before
giving this object to the position manager to deal with. Reducing events should slightly
improve performance.

Depends on D10685

Diff Detail

Repository
rEFL core/efl
Branch
devs/cedric/pm-improvement
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 14599
cedric created this revision.Nov 15 2019, 11:26 AM
bu5hm4n accepted this revision.Nov 17 2019, 2:42 AM
This revision is now accepted and ready to land.Nov 17 2019, 2:42 AM
SanghyeonLee accepted this revision.Nov 17 2019, 8:55 PM
cedric updated this revision to Diff 27013.Nov 20 2019, 10:19 AM
cedric edited the summary of this revision. (Show Details)

rebase

Closed by commit rEFLd62e2585bb7f: elementary: reduce event trigger during object creation stage in Efl.Ui. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 11 2019, 2:13 AM
This revision was automatically updated to reflect the committed changes.